DevOps Operation Results - Get
获取长时间运行的 devops 操作结果。
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Security/securityConnectors/{securityConnectorName}/devops/default/operationResults/{operationResultId}?api-version=2024-04-01
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
operation
|
path | True |
string |
操作结果 ID。 |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
资源组的名称。 名称不区分大小写。 |
|
security
|
path | True |
string |
安全连接器名称。 |
|
subscription
|
path | True |
string minLength: 1 |
目标订阅的 ID。 |
|
api-version
|
query | True |
string minLength: 1 |
用于此操作的 API 版本。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
还行 |
|
| Other Status Codes |
描述操作失败的原因的错误响应。 |
安全性
azure_auth
Azure Active Directory OAuth2 流
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
|
Get_Dev |
|
Get_Dev |
Get_DevOpsOperationResults_Failed
示例请求
GET https://management.azure.com/subscriptions/0806e1cd-cfda-4ff8-b99c-2b0af42cffd3/resourceGroups/myRg/providers/Microsoft.Security/securityConnectors/mySecurityConnectorName/devops/default/operationResults/8d4caace-e7b3-4b3e-af99-73f76829ebcf?api-version=2024-04-01
示例响应
{
"id": "/subscriptions/0806e1cd-cfda-4ff8-b99c-2b0af42cffd3/resourceGroups/myRg/providers/Microsoft.Security/securityConnectors/mySecurityConnectorName/devops/default/operationResults/8d4caace-e7b3-4b3e-af99-73f76829ebcf?api-version=2024-04-01",
"name": "8d4caace-e7b3-4b3e-af99-73f76829ebcf",
"status": "Failed",
"startTime": "2023-06-21T03:23:15Z",
"endTime": "2023-06-21T03:25:15Z",
"percentComplete": 100,
"error": {
"code": "TokenExchangeFailed",
"message": "AzureDevOps OAuth token exchange failed"
}
}
Get_DevOpsOperationResults_Succeeded
示例请求
GET https://management.azure.com/subscriptions/0806e1cd-cfda-4ff8-b99c-2b0af42cffd3/resourceGroups/myRg/providers/Microsoft.Security/securityConnectors/mySecurityConnectorName/devops/default/operationResults/4e826cf1-5c36-4808-a7d2-fb4f5170978b?api-version=2024-04-01
示例响应
{
"id": "/subscriptions/0806e1cd-cfda-4ff8-b99c-2b0af42cffd3/resourceGroups/myRg/providers/Microsoft.Security/securityConnectors/mySecurityConnectorName/devops/default/operationResults/4e826cf1-5c36-4808-a7d2-fb4f5170978b?api-version=2024-04-01",
"name": "4e826cf1-5c36-4808-a7d2-fb4f5170978b",
"status": "Succeeded",
"startTime": "2023-06-21T03:23:15Z",
"endTime": "2023-06-21T03:25:15Z",
"percentComplete": 100
}
定义
| 名称 | 说明 |
|---|---|
|
Error |
资源管理错误附加信息。 |
|
Error |
错误详细信息。 |
|
Error |
错误响应 |
|
Operation |
异步操作的当前状态。 |
ErrorAdditionalInfo
资源管理错误附加信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| info |
object |
其他信息。 |
| type |
string |
其他信息类型。 |
ErrorDetail
错误详细信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| additionalInfo |
错误附加信息。 |
|
| code |
string |
错误代码。 |
| details |
错误详细信息。 |
|
| message |
string |
错误消息。 |
| target |
string |
错误目标。 |
ErrorResponse
错误响应
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
错误对象。 |
OperationStatusResult
异步操作的当前状态。
| 名称 | 类型 | 说明 |
|---|---|---|
| endTime |
string (date-time) |
操作的结束时间。 |
| error |
如果存在,则操作错误的详细信息。 |
|
| id |
string |
异步操作的完全限定 ID。 |
| name |
string |
异步操作的名称。 |
| operations |
操作列表。 |
|
| percentComplete |
number minimum: 0maximum: 100 |
完成的操作的百分比。 |
| startTime |
string (date-time) |
操作的开始时间。 |
| status |
string |
操作状态。 |